<p align="center">
  <img alt="CometChat" src="https://assets.cometchat.io/website/images/logos/banner.png">
</p>

# CometChat Flutter UIKit Shared Package
<a href="https://pub.dev/packages/cometchat_uikit_shared"><strong>CometChat UIKit Shared</strong></a> serves as a foundation for two robust UI Kits - <a href="https://pub.dev/packages/cometchat_chat_uikit"><strong>CometChat Chat UIKit</strong></a> and <a href="https://pub.dev/packages/cometchat_calls_uikit"><strong>CometChat Calls UIKit</strong></a>. The modular design of the resources and widgets provided by this package ensures efficient code reuse and consistent styling across your app.  <br/>
This carefully crafted library, built with Dart and Flutter, empowers you with: 
#### Pre-built UI Components: 
- The message bubbles displayed in `CometChatMessageList` from Chat UI Kit.
- `CometChatListBase` and `CometChatListItem` which is used to construct the list of users, groups and conversations in the Chat UI Kit.
- Status indicator to indicate if an user is online or offline.
- the card and button widgets which are used to construct the incoming and outgoing call screens provided by the Calls  UI Kit and much more. 

<br/>

#### Extensive Utility Resources:
- Beyond UI components, cometchat_uikit_shared offers a plethora of utility resources. From streamlined setup processes to intricate behind-the-scenes functionalities, it ensures a robust foundation for your application.
- Set up the CometChat SDK seamlessly with built-in functionalities for sending and receiving messages.

<br/>

### Prerequisites
- Flutter 3.10.5
- Dart 3.0.5
- Android Studio 2022.2
- Xcode 14.3
- Android 9, API 28 and above
- iOS 12.0

### Note
- This package is used by the CometChat UI Kits internally. The package is not meant to be used without other required CometChat dependencies.

## Getting Started
To set up CometChat's Flutter UIKit and utilize CometChat for your chat and calls functionality which internally used this package as a dependency, you'll need to follow these steps:
- Registration: Go to the CometChat website (https://www.cometchat.com/) and sign up for an account.
- Create an App: After registering, log in to your CometChat account and create a new app. Provide the necessary details such as the app name, platform (Flutter), and other relevant information. Once you've created the app, CometChat will generate an Auth Key and App ID for you. Make sure to keep these credentials secure, as you'll need them later.
- Make sure you've read the [key concepts](https://www.cometchat.com/docs/v4/flutter-uikit/key-concepts)
- Follow the steps provided in the integration section [here](https://www.cometchat.com/docs/v4/flutter-uikit/integration#getting-started)

## Help and Support
For issues running the project or integrating with our UI Kits, consult our [documentation](https://www.cometchat.com/docs/v4/flutter-uikit/integration) or create a [support ticket](https://help.cometchat.com/hc/en-us) or seek real-time support via the [CometChat Dashboard](https://app.cometchat.com/).